Create signing key
const url = 'https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000/signing-keys';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000/signing-keys \ --header 'Authorization: Bearer <token>'Create an additional signing key for this endpoint. Maximum 2 active keys per endpoint.
Important: The new signing_secret is only returned once. Store it securely.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000Responses
Section titled “Responses”Signing key created successfully
object
object
Signing key ID
The signing secret - shown only once! Store this securely for verifying webhook signatures.
object
Unique identifier for this request (useful for support)
Example
{ "data": { "id": "sk_550e8400e29b41d4a716446655440001", "signing_secret": "whsec_newabcdefghijklmnopqrstuvwxyz12", "key_hint": "wxyz", "created_at": "2025-12-06T12:10:00Z" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Conflict - action cannot be completed
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Examples
Maximum signing keys reached
{ "error": { "code": "MAX_SIGNING_KEYS_REACHED", "message": "Endpoint already has the maximum of 2 signing keys" }, "meta": { "request_id": "req_xyz123" }}Cannot delete last signing key
{ "error": { "code": "CANNOT_DELETE_LAST_SIGNING_KEY", "message": "Cannot delete the last signing key" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.